/**
 *
 */
package de.intevation.gnv.artifacts.context;

import org.apache.log4j.Logger;
import org.w3c.dom.Document;

import de.intevation.artifactdatabase.DefaultArtifactContext;

/**
 * @author Tim Englich         (tim.englich@intevation.de)
 * @author Sascha L. Teichmann (sascha.teichmann@intevation.de)
 */
public class GNVArtifactContext 
extends      DefaultArtifactContext
{
    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = Logger.getLogger(GNVArtifactContext.class);

    public static final String CHART_TEMPLATE_KEY =
        "gnv.chart.template";

    public static final String HORIZONTAL_CROSS_SECTION_PROFILE_SAMPLES_KEY =
        "gnv.horizontal.cross.section.profile.samples";

    public static final Integer 
        DEFAULT_HORIZONTAL_CROSS_SECTION_PROFILE_SAMPLES = Integer.valueOf(250);

    public static final String PALETTES_KEY =
        "gnv.color.palettes";

    public GNVArtifactContext() {
        super();
        log.debug("GNVArtifactContext.Constructor");
    }

    public GNVArtifactContext(Document config) {
        super(config);
        log.debug("GNVArtifactContext.Constructor(config)");
    }

}
